fileList = dir('./')

roughnessVector = [];
lambdaVector = [];
widthVector = [];

tic
for iFile = 1:length(fileList)
    if fileList(iFile).isdir || ~strcmp(fileList(iFile).name((end-3):end),'.mat')
        continue
    end
    clear cartX cartY
    fileList(iFile).name
    load(fileList(iFile).name)
    
    thisBnd = obtainBnd([cartX; cartY]);
    thisFit = fitShapeBnd(thisBnd, ...
        'angle tolerance', 0.1, ...
        'lambda tolerance', 0.1);
    
    roughnessVector(end+1) = thisFit.roughness;
    lambdaVector(end+1) = thisFit.lambda;
    widthVector(end+1) = thisFit.meanWidth;
end
thisTime = toc

ref = load('evalTotalTime.ref', '-mat');

[roughnessVector ./ ref.roughnessVector;
 ref.roughnessVector]
[ widthVector ./ ref.widthVector;
  min(999,ref.widthVector)]
[ lambdaVector ./ ref.lambdaVector;
  ref.lambdaVector]
thisTime ./ ref.thisTime